Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent
Class RepoInputControl

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
          com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
              com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoInputControl

All Implemented Interfaces:
  IdedObject

    public class RepoInputControl

extends RepoResource

Version:
  $Id: RepoInputControl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`creationDate, description, id, label, name, parent, version`

Constructor Summary
`RepoInputControl()`

Method Summary
`protected void` | `copyFrom(Resource clientRes, ReferenceResolver referenceResolver)`
`protected void` | `copyTo(Resource clientRes, ResourceFactory resourceFactory)`
`protected java.lang.Class` | `getClientItf()`
`RepoDataType` | `getDataType()`
`java.lang.Object` | `getDefaultValue()`
`java.util.List` | `getDefaultValues()`
`RepoListOfValues` | `getListOfValues()`
`RepoQuery` | `getQuery()`
`java.lang.String` | `getQueryValueColumn()`
`java.util.List` | `getQueryVisibleColumns()`
`byte` | `getType()`
`boolean` | `isMandatory()`
`boolean` | `isReadOnly()`
`boolean` | `isVisible()`
`void` | `setDataType(RepoDataType dataType)`
`void` | `setDefaultValue(java.lang.Object value)`
`void` | `setDefaultValues(java.util.List values)`
`void` | `setListOfValues(RepoListOfValues values)`
`void` | `setMandatory(boolean isMandatory)`
`void` | `setQuery(RepoQuery query)`
`void` | `setQueryValueColumn(java.lang.String column)`
`void` | `setQueryVisibleColumns(java.util.List queryVisibleColumns)`
`void` | `setReadOnly(boolean isReadOnly)`
`void` | `setType(byte type)`
`void` | `setVisible(boolean visible)`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResource
`addNewChild, copyFromClient, equals, filterChildren, getChildrenFolder, getClientReference, getReference, getReference, hashCode, initNewChildren, setChildrenFolder, toClient, toClientLookup, toString`

Methods inherited from class com.jaspersoft.jasperserver.api.metadata.common.service.impl.hibernate.persistent.RepoResourceBase
`copyFrom, copyFromClient, copyTo, getCreationDate, getDescription, getId, getLabel, getName, getParent, getResourceURI, getVersion, isNew, setCreationDate, setDescription, setId, setLabel, setName, setParent, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepoInputControl

    public RepoInputControl()

Method Detail

### getType

    public byte getType()

### setType

    public void setType(byte type)

### isMandatory

    public boolean isMandatory()

### setMandatory

    public void setMandatory(boolean isMandatory)

### isReadOnly

    public boolean isReadOnly()

### setReadOnly

    public void setReadOnly(boolean isReadOnly)

### isVisible

    public boolean isVisible()

### setVisible

    public void setVisible(boolean visible)

### getDataType

    public RepoDataType getDataType()

### setDataType

    public void setDataType(RepoDataType dataType)

### getListOfValues

    public RepoListOfValues getListOfValues()

### setListOfValues

    public void setListOfValues(RepoListOfValues values)

### getQuery

    public RepoQuery getQuery()

### setQuery

    public void setQuery(RepoQuery query)

### getQueryVisibleColumns

    public java.util.List getQueryVisibleColumns()

### setQueryVisibleColumns

    public void setQueryVisibleColumns(java.util.List queryVisibleColumns)

### getQueryValueColumn

    public java.lang.String getQueryValueColumn()

### setQueryValueColumn

    public void setQueryValueColumn(java.lang.String column)

### getDefaultValue

    public java.lang.Object getDefaultValue()

### setDefaultValue

    public void setDefaultValue(java.lang.Object value)

### getDefaultValues

    public java.util.List getDefaultValues()

### setDefaultValues

    public void setDefaultValues(java.util.List values)

### getClientItf

    protected java.lang.Class getClientItf()

  Specified by:
    `getClientItf` in class `RepoResourceBase`

### copyTo

    protected void copyTo(Resource clientRes,
                          ResourceFactory resourceFactory)

  Overrides:
    `copyTo` in class `RepoResource`

### copyFrom

    protected void copyFrom(Resource clientRes,
                            ReferenceResolver referenceResolver)

  Overrides:
    `copyFrom` in class `RepoResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.